Arbor 3: FSM & BT Graph Editor 3.7.1

Static Public Member Functions | List of all members
ArborEventUtility Class Reference

ArborEvent utility class More...

## Static Public Member Functions
static string | GetMethodName (MethodInfo methodInfo)
| Returns the method name. More...
static string | GetFieldName (FieldInfo fieldInfo)
| Returns the field name. More...
static string | GetPropertyName (PropertyInfo propertyInfo)
| Returns the property name. More...
static string | GetMemberName (MemberInfo memberInfo)
| Returns the member name. More...
static bool | IsStatic (MemberInfo memberInfo)
| Returns whether it is a static member. More...
static ParameterType | GetParameterType (System.Type type, bool unknownToSlot)
| Returns the type of parameter. More...
static bool | IsSelectableMethod (MethodInfo methodInfo)
| It is judged whether it is a selectable method. More...
static bool | IsSelectableField (FieldInfo fieldInfo)
| It is judged whether it is a selectable field. More...
static bool | IsGetProperty (PropertyInfo propertyInfo)
| Returns whether there is a get accessor. More...
static bool | IsSetProperty (PropertyInfo propertyInfo)
| Returns whether there is a set accessor. More...
static bool | IsSelectableProperty (PropertyInfo propertyInfo)
| It is judged whether it is a selectable property. More...
static object | Cast (object obj, System.Type type)
| Cast the object. More...
static object | GetDefault (System.Type type)
| Returns the default value of type. More...

## Detailed Description

ArborEvent utility class

## Member Function Documentation

## ◆ Cast()

static object Cast | ( | object | obj,
|  | System.Type | type
| ) |  |
| static

Cast the object.

Parameters

  obj | The object to cast
  type | Casting type

Returns
  Casted value

## ◆ GetDefault()

static object GetDefault | ( | System.Type | type | ) |
| static

Returns the default value of type.

Parameters

  type | Default value type

Returns
  Default value

## ◆ GetFieldName()

static string GetFieldName | ( | FieldInfo | fieldInfo | ) |
| static

Returns the field name.

Parameters

  fieldInfo | FieldInfo that returns field name

Returns
  Field name

## ◆ GetMemberName()

static string GetMemberName | ( | MemberInfo | memberInfo | ) |
| static

Returns the member name.

Parameters

  memberInfo | MemberInfo that returns member name

Returns
  Member name

## ◆ GetMethodName()

static string GetMethodName | ( | MethodInfo | methodInfo | ) |
| static

Returns the method name.

Parameters

  methodInfo | MethodInfo that returns method name

Returns
  Method name

## ◆ GetParameterType()

static ParameterType GetParameterType | ( | System.Type | type,
|  | bool | unknownToSlot
| ) |  |
| static

Returns the type of parameter.

Parameters

  type | Type
  unknownToSlot | Flag to slot for unknown type

Returns
  Type of parameter

## ◆ GetPropertyName()

static string GetPropertyName | ( | PropertyInfo | propertyInfo | ) |
| static

Returns the property name.

Parameters

  propertyInfo | PropertyInfo that returns property name

Returns
  Property name

## ◆ IsGetProperty()

static bool IsGetProperty | ( | PropertyInfo | propertyInfo | ) |
| static

Returns whether there is a get accessor.

Parameters

  propertyInfo | PropertyInfo

Returns
  Returns true if there is a get accessor.

## ◆ IsSelectableField()

static bool IsSelectableField | ( | FieldInfo | fieldInfo | ) |
| static

It is judged whether it is a selectable field.

Parameters

  fieldInfo | FieldInfo to determine

Returns
  Returns true if it is selectable

## ◆ IsSelectableMethod()

static bool IsSelectableMethod | ( | MethodInfo | methodInfo | ) |
| static

It is judged whether it is a selectable method.

Parameters

  methodInfo | MethodInfo to determine

Returns
  Returns true if it is selectable

## ◆ IsSelectableProperty()

static bool IsSelectableProperty | ( | PropertyInfo | propertyInfo | ) |
| static

It is judged whether it is a selectable property.

Parameters

  propertyInfo | PropertyInfo to determine

Returns
  Returns true if it is selectable

## ◆ IsSetProperty()

static bool IsSetProperty | ( | PropertyInfo | propertyInfo | ) |
| static

Returns whether there is a set accessor.

Parameters

  propertyInfo | PropertyInfo

Returns
  Returns true if there is a set accessor.

## ◆ IsStatic()

static bool IsStatic | ( | MemberInfo | memberInfo | ) |
| static

Returns whether it is a static member.

Parameters

  memberInfo | MemberInfo

Returns
  Returns true if it is a static member.